Skip to main content
`Ctrl`+`K`

# Sanitizer_ErrorLoggingData

struct Sanitizer_ErrorLoggingData

  Data passed into an error logging callback function.

  Data passed into an error logging callback function as the `cbdata` argument to Sanitizer_CallbackFunc. The `cbdata` will be this type for `domain` equal tp SANITIZER_CBID_ERROR_LOGGING. The callback data is only valid within the invocation of the callback function that is passed the data. If you need to retain some data for use outside of the callback, you must make a copy of it.

  Public Members

  CUlogLevel logLevel

    Log level for the message issued.

  const char *message

    String for message issued.

  uint32_t tid

    Thread ID for the thread that issued the message.